/// <reference types="node" />
import { Address } from "../payTypes/types";
export declare const getAddress: (address: Address, chainId?: number) => string;
export declare function normalizeHexAddress(address: string | Buffer): string;
export declare function sameEVMAddress(address1: string | Buffer | undefined | null, address2: string | Buffer | undefined | null): boolean;
export declare const randomSecret: () => string;
export declare function getFullNum(num: number): string | number;
export declare function toFixed(number: number, pp: number): string;
